import { BaseXform } from "../base-xform.js";
interface TableColumnModel {
    id?: number;
    name: string;
    totalsRowLabel?: string;
    totalsRowFunction?: string;
    dxfId?: string;
}
declare class TableColumnXform extends BaseXform<TableColumnModel> {
    constructor();
    get tag(): string;
    prepare(model: TableColumnModel, options: {
        index: number;
    }): void;
    render(xmlStream: any, model: TableColumnModel): void;
    parseOpen(node: any): boolean;
    parseText(): void;
    parseClose(): boolean;
}
export { TableColumnXform };
